import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { Router } from '@angular/router';
// 网络请求
import { HttpService } from '../../share/http/http';
import { NzMessageService } from 'ng-zorro-antd/message';


@Component({
  selector: 'app-layout-pc-login',
  templateUrl: './layout-pc-login.component.html',
  styleUrls: ['./layout-pc-login.component.less'],
})
export class LayoutPcLoginComponent implements OnInit {
  // 登录表单
  loginForm!: FormGroup;

  constructor(
    private fb: FormBuilder,
    private router: Router,
    private http: HttpService,
    private message: NzMessageService
  ) { }

  ngOnInit(): void {
    // 初始化表单
    this.loginForm = this.fb.group({
      account: [null, [Validators.required]],
      password: [null, [Validators.required]],
      // remember: [true],
    });
  }

  // 点击登录
  submitForm(): void {
    for (const i in this.loginForm.controls) {
      if (this.loginForm.controls.hasOwnProperty(i)) {
        this.loginForm.controls[i].markAsDirty();
        this.loginForm.controls[i].updateValueAndValidity();
      }
    }
    if (this.loginForm.status === 'INVALID') {
      console.log('验证不通过');
    } else {
      this.http.post('/api/admin/login', this.loginForm.value).then((res: any) => {
        if (res.code === 1) {
          localStorage.setItem('token', res.data);
          this.router.navigateByUrl('pc');
        } else {
          this.message.error(res.msg)
        }
      });
    }
  }
}
