import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
// 网络请求
import { HttpService } from '../../share/http/http';

@Component({
  selector: 'app-pc-realname',
  templateUrl: './pc-realname.component.html',
  styleUrls: ['./pc-realname.component.less']
})
export class PcRealnameComponent implements OnInit {

  // 筛选表单
  searchForm!: FormGroup;

  // 数据列表
  listData: Array<any> = [];
  // 页码
  page: any = {
    page: 1, size: 20
  };

  constructor(private fb: FormBuilder, private http: HttpService, private router: Router, private route: ActivatedRoute) { }

  ngOnInit(): void {
    // 筛选表单
    this.searchForm = this.fb.group({
      userName: [""],
      email: [""],
      super: [""],
    })

    // 获取所有用户
    this.getData();
  }

  // 重置筛选
  reset() {
    this.searchForm.reset()
    this.getData();
  }

  //筛选
  search() {
    console.log(this.searchForm.value);
  }

  // 获取用户数据
  getData() {
    console.log('获取用户数据');
    this.http.get("/api/admin/allrole", {...this.page}).then((res: any) => {
      if (res.code === 1) {
        this.listData = res.data
      }
    })
  }

  // 点击详情
  goToinfo(id: any) {
    console.log(id);
    this.router.navigate(['info', id], { relativeTo: this.route })
  }

}
