import { Injectable } from '@angular/core';
import {
  HttpEvent,
  HttpInterceptor,
  HttpHandler,
  HttpRequest,
} from '@angular/common/http';

import { Observable } from 'rxjs';

/** Pass untouched request through to the next request handler. */
@Injectable()
export class NoopInterceptor implements HttpInterceptor {
  intercept(
    req: HttpRequest<any>,
    next: HttpHandler
  ): Observable<HttpEvent<any>> {
    if (req.url === "/api/admin/login") {
      return next.handle(req);
    }
    let token = localStorage.getItem('token');
    let resetReq = req.clone({
      headers: req.headers.set('token', token)
    })
    return next.handle(resetReq);
  }
}
