import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
// 全局通知
import { NzMessageService } from 'ng-zorro-antd/message';

@Injectable({
  providedIn: 'root',
})
export class HttpService {
  constructor(private http: HttpClient, private message: NzMessageService) { }

  public get(url: string, data: any = {}) {
    return new Promise((resole, reject) => {
      this.http.get(url, { params: data }).subscribe(
        (res) => {
          resole(res);
        },
        (err) => {
          console.log(err);
          reject(err.message);
        }
      );
    });
  };

  public post(url: string, data: any = {}) {
    return new Promise((resole, reject) => {
      this.http.post(url, data).subscribe(
        (res) => {
          resole(res);
        },
        (err) => {
          console.log('网络请求错误', err);
          this.message.error(err.error.text);
          reject(err.error.text);
        }
      );
    });
  }
}


